ctbin gives invalid arguemnt error
Status: Closed Start date: 01/17/2014

Priority: Normal Due date:  

Assigned To:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

I am using the development versions of ctools and gamma lib, downloaded yesterday (16/01/2014).

I notice that the script $CTOOLS/share/examples/python/make_binned_analysis.py whereas

$CTOOLS/share/examples/python/make_unbinned_analysis.py works ok. This is due to a problem with ctbin, which I can replicate

using the default parameters of ctobssim.

work@vstamate-Inspiron-1370:~/ctatools$ ctobssim

Model [${GAMMALIB}/share/models/crab.xml]

Calibration database [${GAMMALIB}/share/caldb/cta]

Instrument response function [cta_dummy_irf]

RA of pointing (degrees) (0-360) [83.63]

Dec of pointing (degrees) (-90-90) [22.01]

Radius of FOV (degrees) (0-180) [10]

Start time (MET in s) (0) [0]

End time (MET in s) (0) [1800]

Lower energy limit (TeV) (0) [0.1]

Upper energy limit (TeV) (0) [100]

Output event data file or observation definition file [events.fits]

work@vstamate-Inspiron-1370:~/ctatools$

work@vstamate-Inspiron-1370:~/ctatools$ ctbin

Input event list or observation definition file [events.fits]

ERROR encounterted in the execution of ctbin. Run aborted ...

ERROR in GApplicationPars::operator[](std::string&): Invalid argument.

Parameter "usepnt" has not been found in parameter file.

Please specify a valid parameter name.

I attach the simulated event list.

Related issues:

Related to ctools - Feature # 1088: Automatically update parameter file if pa... Closed 01/17/2014

History

#1 - 01/17/2014 02:51 AM - Knödlseder Jürgen

Hi Victor,

This should be an easy one. I guess you have a old ctbin.par file in the pfiles directory that is located under $HOME. Just delete all files in there and

try again. Let me know if this solves your problem.

#2 - 01/17/2014 03:15 AM - Stamatescu Victor

Hi Jurgen,

That fixed it. Ok, I was not aware of the pfiles directory. Thanks very much.

#3 - 01/17/2014 09:34 AM - Knödlseder Jürgen

- Status changed from New to Closed
- % Done changed from 0 to 100

See #1088 for a feature request that should prevent this problem in the future.

Files

events.fits 734 KB 01/17/2014 Stamatescu Victor
